package com.zswc.creativity.utils

import android.content.Context
import android.content.pm.PackageInfo

/**
 *on 2022/7/27
 */
class QqUtils {

    companion object {




        fun isQQInstall(context: Context): Boolean {
            var packageManager = context.packageManager
            var pinfo = packageManager.getInstalledPackages(0) as List<PackageInfo>
            if (pinfo != null) {
                for ((i, item) in pinfo.withIndex()) {
                    var pn = pinfo[i].packageName
                    if (pn.equals("com.tencent.mobileqq")) {
                        return true
                    }
                }
            }

             return false
        }



    }
}
